Get a Let's Encrypt SSL certificate

GET/v1/ssl_certificates/letsencrypt/{id}

If you need details about a Let's Encrypt SSL certificate, perform a GET request to /v1/ssl_certificates/letsencrypt/{id} with a certificate ID specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

A unique identifier of an SSL certificate.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/ssl_certificates/letsencrypt/zPdyoVaQ"
{  "id": "zPdyoVaQ",  "name": "name985",  "type": "letsencrypt",  "issuer": null,  "subject": "example-1245.com",  "domain_names": [],  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "expires_at": null,  "created_at": "2026-05-28T07:01:47Z",  "updated_at": "2026-05-28T07:01:47Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}